Bug 168148 - Unable to cancel scheduled event through RHN Satellite web UI.
Unable to cancel scheduled event through RHN Satellite web UI.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
rhn370
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Preethi Thomas
:
Depends On:
Blocks: rhn500h-config-mgmt
  Show dependency treegraph
 
Reported: 2005-09-12 17:24 EDT by Raja
Modified: 2007-04-18 13:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 22:28:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raja 2005-09-12 17:24:38 EDT
Description of problem:

When a user schedules a deployment of configuration files through the Satellite
UI, it was not possible to cancel the scheduled event.


Version-Release number of selected component (if applicable):
 Red Hat Network release 3.7.0

How reproducible:
Always.

Steps to Reproduce:
1. Make sure that the rhncfg* packages are NOT installed on the client.
2. The client system NOT subscribed to the RHN tools channel.
3.Schedule a configuration deployment action through the UI.
4. It becomes unavailable to cancel the events.

  
Actual results:
There was NOT a radio button to check the scheduled actions and click cancel event.

Expected results:

Should be able to check the schedule event and click cancel event. Irrespective
of the rhncfg* packages available or not or a client not subscribed to the RHN
Tools channel, a user scheduled action should be able to be canceled by him.

Additional info:
Summary:  	Schedule a config deploy for activation key scheduled by (none)
Reschedule:  	This action requires the successful completion of a prior action
before it can be rescheduled.

Prior Action : 
Summary:  	Package Install scheduled by (none)
Packages Scheduled:

    * rhncfg
    * rhncfg-actions
    * rhncfg-client
Comment 1 Brandon Perkins 2007-02-13 09:12:04 EST
Need to check if this is an issue after the rewrite, so throwing it ON_QA.
Comment 2 Grant Gainey 2007-02-14 08:42:25 EST
If a system isn't config-enabled, there is no longer any way to schedule a
config-deploy for it - you can't subscribe it to any channels, you can't get to
its local channels.  Closing as no-longer-possible.
Comment 3 Preethi Thomas 2007-02-14 09:18:01 EST
verified
Comment 4 Preethi Thomas 2007-03-06 11:31:08 EST
verified in stage.
Comment 5 Brandon Perkins 2007-03-12 22:28:08 EDT
Closed in the rhn500h Release.

Note You need to log in before you can comment on or make changes to this bug.